CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

%pprog [options]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the E-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script.

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[BEÁLLÍTÁSOK]

--add-simple-plugin
    Egyszerű bővítmény (azaz csupán egy .py fájlból álló bővítmény) hozzáadása a bővítménykódot tartalmazó py fájl elérési útjának megadásával.

--command, -c
    Python kód futtatása.

--debug-device-driver, -d
    Eszközfelismerés hibakereső módban

--default-programs
    A Calibre (ki)regisztrálása a Windows alapértelmezett programok listájába/ból. --default-programs = (register|unregister)

--diff
    A Calibre diff eszközének futtatása. Például: calibre-debug --diff fájl1 fájl2

--edit-book, -t
    A Calibre könyvszerkesztő futtatása hibakereső módban.

--exec-file, -e
    Python kód futtatása a fájlon.

--explode-book, -x
    Explode the book into the specified directory. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins). Normally, you will be asked for the export dir and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export directory and libraries. The special keyword "all" can be used to export all libraries.

--gui, -g
    GUI futtatása hibakeresési módban. A hibakeresési információk az stdout és stderr-ben jelenítődnek meg.

--gui-debug
    GUI futtatása hibakeresési ablakkal, a megadott elérési útvonalra történő a naplózással. Csak belső használat esetén a -g kapcsolóval futtatható a GUI hibakeresési módban.

--help, -h
    súgó megjelenítése és kilépés

--implode-book, -i
    Implode a previously exploded book. Usage: -i output_dir file.epub Imports the book from the files in output_dir which must have been created by a previous call to --explode-book. Be sure to specify the same file type as was used when exploding.

--import-calibre-data
    Előzőleg exportált Calibre adatok importálása

--inspect-mobi, -m
    Az adott útvonalon elérhető MOBI fájl(ok) elemzése.

--paths
    Kiírja a Calibre környezet beállításához szükséges elérési utakat.

--reinitialize-db
    A megadott elérési útvonallal rendelkező sqlite Calibre adatbázis újrainicializálása. Adatbázis-hiba helyreállításánál hasznos.

--run-plugin, -r
    Parancssori felületet nyújtó bővítmény futtatása. Például: calibre-debug -2 "Add Books" -- fájl1 --option1 A -- után található részt a program továbbítja a bővítmény felé mint kapcsoló.

--shutdown-running-calibre, -s
    Egy futó Calibre példány bezárása. Ha vannak futó műveletek, akkor azok minden figyelmeztetés nélkül meg lesznek szakítva, ezért óvatosan használja.

--subset-font, -f
    Subset the specified font. Use -- after this option to pass option to the font subsetting program.

--test-build
    Bináris modulok tesztelése a jelenlegi verzióban.

--version
    program verziójának megjelenítése és kilépés

--viewer, -w
    Az olvasóprogram indítása hibakereső módban

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal